/*
 * 文 件 名:  BoundaryObjService
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/1/10
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service;

import com.ruoyi.ems.model.BoundaryObj;

import java.util.List;

/**
 * 边界对象服务接口
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/1/10]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public interface IBoundaryObjService {
    /**
     * 根据区域编码、对象类型和对象代码获取边界对象
     * @param areaCode 区域编码
     * @return 边界对象
     */
    BoundaryObj getBoundaryByArea(String areaCode);
}